package com.dxhy.common.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.constant.CommonConstants;
import com.dxhy.common.service.MtBaseService;
import com.dxhy.common.util.ExceptionUtil;

/**
 * 
 * 
 * 需要多个数据表才能能完成业务的service需要继承
 *
 * @author jiaohongyang
 * @date 2019年4月24日
 * 
 */
public class MtBaseServiceImpl implements MtBaseService {

    @Override
    public JSONObject succResult(JSONObject json) {
        json.put(CommonConstants.KEY_ERRCODE, CommonConstants.EX_SUCC);
        json.put(CommonConstants.KEY_ERRMSG, "");
        return json;
    }

    @Override
    public JSONObject errorResult(Exception e) {
        e.printStackTrace();
        JSONObject resultJson = new JSONObject();
        resultJson.put(CommonConstants.KEY_ERRCODE, CommonConstants.EX_FAIL);
        resultJson.put(CommonConstants.KEY_ERRMSG, ExceptionUtil.getExceptionDeteil(e, 0));
        return resultJson;
    }
}
